1. Panagiotis Mavrogiorgos
  2. Autocad

Commits

Panagiotis Mavrogiorgos  committed d3704ca

Made multiple copy the default behavior.

  • Participants
  • Parent commits c0ad5d2
  • Branches default

Comments (0)

Files changed (1)

File Lisp/command_aliases.lsp

View file
 (defun C:v ()       (command "_.pasteclip"))
 (defun C:w ()       (command "_.matchprop"))
 (defun C:xh ()      (command "_.xline" "H"))
-(defun C:xv ()      (command "_.xline" "V"))
+(defun C:xv ()      (command "_.xline" "V"))
+
+; For some reason the copy alias doesn't default to "multiple copy" mode.
+; The following routine fixes this.
+(defun c:c ( / ss1 bpt)
+	(while (not ss1)
+		(princ "\nCopy multiple: ")
+		(setq ss1 (ssget))
+	);while
+	(while (not (setq bpt (getpoint "\nSpecify base point: "))))
+	(command "._copy" ss1 "" "m" bpt)
+);defun
+